/*
Theme Name: Divi - Modularity Child Theme
Description: A child theme to house custom coding which modifies the
			 Divi parent theme by Elegant Themes. Includes default line
			 numbers where the code was taken from in the parent theme.
Author: Modularity Networks
Author URI: https://www.modularitynet.com/
Original Author: Brad Dalton http://wpsites.net
Template: Divi
Version: 1.0
*/

/* Reverse SVG Support Plugin hack for Logo Cell - Doesn't work correctly */
.et_pb_svg_logo #logo {
    height: 70% !important;
	max-height: none;
}

/*
Use "Find/Search" feature to skip ahead to the section you need to ammend or edit
-------------------------------------------------------------------------------------
Contents
————————
- General
- Global Buttons
- Forms
- Homepage Elements
- Internal Pages
- Miscellaneous Elements
- Footer Area
- Media Queries
	- min 450px
	- min 981px

-------------------------------------------------------------------------------------
Fonts
—————
- NHaasGroteskDSPro-75Bd - Black - h1 h2 h3
- Proxima Nova - Bold - h4 subtitles blog title
- Proxima Nova - Medium - button
- Open Sans - Regular - body

-------------------------------------------------------------------------------------
Colors
——————
- Purply Pink: #e47be1
- Pink: #e0bdde
- Dark Grey: #222222
- Purple: #6c3569
- Dark Purple: #5a495f
*/


/************************************************************************************
 *
 *			General
 *
 ***********************************************************************************/

body, p {
	font-family: roboto, sans-serif;
	font-size: 1em;
	line-height: 1.5em;
}

h1, h2, h3, h4 {
	font-weight: bold;
	letter-spacing: 1px;
	line-height: 1.125em;
	text-transform: uppercase;
}

h1 {
	font-size: 4em;
}

h2 {
	font-size: 3.75em;
}

h3 {
	font-size: 2.5em;
}

h4 {
	font-size: 1.25em;
}

p:empty {
	display: none;
}

a, button, input[type="submit"], input[type="button"], .transition {
	transition: all 0.2s ease 0s;
}

::selection {
  background: #e47be1; /* WebKit/Blink Browsers */
  color: #ffffff;
}

::-moz-selection {
  background: #e47be1; /* Gecko Browsers */
  color: #ffffff;
}  

.layouts-content img {
	margin-bottom: 0;
}

#et-info-phone::before, #et-info-email::before {
	content: none;
}

#et-main-area.layouts-content {
	margin-top: 0;
}

#top-menu .menu-item-has-children > a:first-child:after {
	top: 9px;
}

.subheader {
	letter-spacing: 2px;
	text-transform: uppercase;
}

.mobile-centered {
	text-align: center;
}

.clear {
	clear: both;
}

/************************************************************************************
 *
 *			Navigation
 *
 ***********************************************************************************/

header#main-header {
	background-color: #e47be1;
}

#main-header > div.container {
	position: static;
	width: 95%;
}

#mobile-nav-btn {
	color: #ffffff;
	cursor: pointer;
	display: block;
	font-family: ETmodules;
	font-size: 3em;
	padding: 40px 0;
	position: relative;
	text-align: right;
}

#mobile-nav-btn:after {
	content: "\61";
}
 
#navigation {
	background-color: rgba(228, 123, 225, .8);
	border-left: 25px solid #f2d2f0;
	bottom: 0;
	display: none;
	left: 0;
	padding: 25px;
	position: absolute;
	transform: translateY(100%);
	width: 100%;
}

#navigation .widget_nav_menu {
	margin-bottom: 25px;
	width: 100%;
}
 
#navigation .et_pb_widget ul li {
	margin-bottom: 0;
}

#navigation .widget_nav_menu ul li a {
	border-bottom: 1px solid #f2d2f0;
	color: #ffffff;
	display: block;
	font-size: 1.5em;
	font-weight: bold;
	letter-spacing: 2px;
	padding: 10px 0;
	text-transform: uppercase;
}

#navigation .widget_nav_menu ul li:first-of-type a {
	padding-top: 0;
}

#navigation .widget_nav_menu ul li:last-of-type a {
	border-bottom: 0;
}

#mobile-nav-close {
	color: #ffffff;
	cursor: pointer;
	font-family: ETmodules;
	font-size: 3em;
	position: absolute;
	right: 12px;
	top: 25px;
}

#mobile-nav-close:before {
	content: "\4d";
}

.social-icons {
	display: flex;
}

.social-icons a.icon {
	color: #ffffff;
	display: inline-block;
	font-family: ETmodules;
	font-size: 2em;
	line-height: 1em;
	margin-left: 40px;
}

.social-icons li:first-of-type a.icon {
	margin-left: 0;
}

#navigation .menu-item a:hover,
.social-icons a.icon:hover {
	color: #ffd7fd;
}

.social-twitter a.icon::before {
	content: "\e094";
}

.social-instagram a.icon::before {
	content: "\e09a";
}

.social-facebook a.icon::before {
	content: "\e093";
}

.social-snapchat a.icon::before {
	content: "\f2ac";
	font-family: "Font Awesome 5 Brands";
}
 
/************************************************************************************
 *
 *			Global Buttons
 *
 ***********************************************************************************/

.btn-container {
	margin: 15px 0;
}

.dark-btn, .light-btn, input[type="submit"],
input.button, .gform_wrapper .gform_footer input.gform_button,
a.more-link, .pagination a, .form-submit .et_pb_button,
.wpv-filter-next-link, .wpv-filter-previous-link {
	background-color: transparent;
	border: 0;
	border-radius: 10px;
	box-shadow: 2px 2px 5px rgba(0, 0, 0, .5);
	cursor: pointer;
	display: block;
	font-size: 1.25em;
	font-weight: bold;
	letter-spacing: 2px;
	line-height: 1.125em;
	padding: 15px 35px;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
}

.dark-btn, input[type="submit"], input.button,
.gform_wrapper .gform_footer input.gform_button,
a.more-link, .pagination a, .form-submit .et_pb_button,
.wpv-filter-next-link, .wpv-filter-previous-link {
	background-color: rgba(224, 189, 222, 1);
	color: #ffffff;
}

.dark-btn:hover, input[type="submit"]:hover,
input.button:hover, .gform_wrapper .gform_footer
input.gform_button:hover, a.more-link:hover,
.pagination a:hover, .form-submit .et_pb_button:hover,
.wpv-filter-next-link:hover, .wpv-filter-previous-link:hover {
	background-color: rgba(255, 255, 255, .75);
	color: #e47be1;
}

.light-btn {
	background-color: rgba(255, 255, 255, .85);
	color: #5a495f;
}

.light-btn:hover {
	background-color: rgba(242, 207, 240, .75);
	color: #ffffff;
}

.left-btn {
	margin: 0 0 10px 0;
}

/************************************************************************************
 *
 *			Forms
 *
 ***********************************************************************************/

.gform_wrapper .top_label label.gfield_label, 
.gform_wrapper .gform_fields.form_sublabel_below .field_sublabel_below .ginput_complex.ginput_container label, 
.ginput_counter, .hidden-field {
	display: none;
}

.gform_wrapper .ginput_complex .ginput_left {
	min-height: 0;
}

body .gform_wrapper .top_label div.ginput_container, .ui-datepicker {
	margin-top: 0;
}

body .gform_wrapper ul li.gfield {
	margin-top: 15px;
}

.gform_wrapper .ginput_container_address input[type="text"], .gfield_description {
	margin-bottom: 15px;
}

.gform_wrapper .ginput_container_address span:last-of-type input[type="text"] {
	margin-bottom: 0;
}

.gform_wrapper input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]),
body.layouts-active .gform_wrapper input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]),
.gform_wrapper .ginput_container_multiselect .chosen-container-multi, body.layouts-active .gform_wrapper textarea, .gform_wrapper textarea, .gform_wrapper.gf_browser_gecko select, .gform_wrapper.gf_browser_chrome select {
	background-color: transparent;
	border: 2px solid #ffffff;
	border-radius: 0;
	color: #ffffff;
	font-size: 1em;
	font-weight: bold;
	height: auto;
	letter-spacing: 2px;
}

input[type="text"], .gform_wrapper input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]),
body.layouts-active .gform_wrapper input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]) {
	padding: 18px 20px;
}

body.layouts-active .gform_wrapper.gf_browser_chrome select,
body.layouts-active .gform_wrapper.gf_browser_gecko select {
	color: #818181;
	padding: 16px 20px;
}

.gform_wrapper textarea, body.layouts-active .gform_wrapper textarea {
	line-height: 1.125em;
	padding: 16px 20px;
	text-transform: none;
}

.gform_wrapper .ginput_container.ginput_container_multiselect .chosen-container.chosen-container-multi ul.chosen-choices li.search-field input[type="text"] {
	color: #999999;
	font-size: 1em; 
	height: auto;
	line-height: 0;
	padding: 30px 20px 25px;
	width: 100% !important;
}

.gform_wrapper .ginput_container_multiselect .chosen-choices {
	border: 0;
}

.gform_wrapper .chosen-container .chosen-results li {
	padding: 6px;
}

.gform_wrapper .ginput_container_multiselect .chosen-container-multi input[type="text"], .gform_wrapper .ginput_container_multiselect .chosen-container-multi .chosen-drop .chosen-results .active-result {
	text-transform: uppercase;
}

.gform_wrapper .ginput_container_multiselect .search-choice {
	font-family: proxima-nova, sans-serif;
	font-size: .5em;
}

::placeholder { /* Non-Standard Placeholder Fix for Firefox, Chrome, and Safari */
	color: #ffffff;
	opacity: 1; /* For Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10+ */
    color: #ffffff;
}

.gform_wrapper input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]):focus, .gform_wrapper textarea:focus {
	color: #ffffff;
}

.gform_wrapper .gform_footer.top_label {
	margin: 0;
	padding: 16px 0 0;
}

.gfield_description, .screen-reader-text {
	color: #ffffff;
}

.form-group .wpt-form-error {
	color: #ff0000;
	text-align: left;
}

.form-group.field-pair > div:first-of-type {
	margin-bottom: 15px;
}

.gform_wrapper .gfield_visibility_visible {
	width: 100%;
}

.gform_wrapper .top_label li.gfield.gf_left_half .ginput_container:not(.gfield_time_hour):not(.gfield_time_minute):not(.gfield_time_ampm):not(.ginput_container_date):not(.ginput_quantity):not(.datepicker), 
.gform_wrapper .top_label li.gfield.gf_right_half .ginput_container:not(.gfield_time_hour):not(.gfield_time_minute):not(.gfield_time_ampm):not(.ginput_container_date):not(.ginput_quantity):not(.datepicker) {
	margin: 0;
}

/************************************************************************************
 *
 *			Homepage Elements
 *
 ***********************************************************************************/
 
#homepage-header img {
	margin-bottom: 25px;
	width: 75%;
}

#gallery-wrapper .et_pb_code_inner {
	display: flex;
	flex-wrap: wrap;
}

#gallery-wrapper .et_pb_code_inner > div {
	display: flex;
	line-height: 0;
	overflow: hidden;
	position: relative;
	text-align: center;
	width: 100%;
}

#gallery-wrapper .et_pb_code_inner > div:after {
	content: "";
	display: block;
	padding-bottom: 65%;
}

.gallery-insert {
	left: 0;
	line-height: .85em;
	position: absolute;
	text-align: center;
	top: 50%;
	transform: translateY(-50%);
	width: 100%;
}

.gallery-insert h3 {
	line-height: 1em;
}

.gallery-loop-item a {
	display: block;
	height: 100%;
	position: absolute;
	width: 100%;
}

.gallery-loop-item a:before {
	background-color: rgba(255, 255, 255, .75);
	content: "\50";
	display: flex;
	flex-direction: column;
	font-family: ETmodules;
	font-size: 2em;
	height: 100%;
	justify-content: center;
	left: -1px;
	opacity: 0;
	padding-top: 25px;
	position: absolute;
	right: -1px;
	transition: all 0.2s ease 0s;
	z-index: 5;
}

.gallery-loop-item a:hover::before {
	opacity: 1;
	padding-top: 0;
}

.gallery-loop-item img {
	height: 100%;
	object-fit: cover;
	object-position: center;
	position: absolute;
	transform: translateX(-50%);
	width: 100%;
}

#contact .gform_wrapper {
	padding-top: 15px;
}

/************************************************************************************
 *
 *			Internal Pages
 *
 ***********************************************************************************/

#page-header {
	background-color: #3b779c;
	padding: 50px;
	text-align: center;
}

#page-header h1 {
	color: #ffffff;
	padding-bottom: 0;
}

#error-404 {
	padding: 50px 0;
	text-align: center;
}

#call-to-action {
	background-color: #3b779c;
	padding: 50px;
	text-align: center;
}

#call-to-action h2 {
	color: #ffffff;
}

#call-to-action .btn-container {
	margin-bottom: 0;
}

/************************************************************************************
 *
 *			Miscellaneous Elements
 *
 ***********************************************************************************/

/************************************************************************************
 *
 *			Footer Area
 *
 ***********************************************************************************/

#custom-footer .custom-fwidget .et_pb_module,
#custom-footer .custom-fwidget .et_pb_widget {
	margin-bottom: 0;
}

.custom-fwidget {
	text-transform: uppercase;
}

.custom-fwidget h4 {
	letter-spacing: 2px;
	padding-bottom: 0;
}

.custom-fwidget hr {
	background-color: #ffffff;
	border: 0;
	height: 2px;
	margin: 15px 0;
}

.custom-fwidget li {
	line-height: 1.125em;
}

.footer-branding {
	color: #cccccc;
	display: block;
	font-size: .85em;
	line-height: 0;
	padding: 10px 0;
	text-align: center;
}

.footer-branding-logo {
	background-image: url("/wp-content/themes/divi-child/images/modularity-logo-white.svg");
	background-position: center;
	background-size: contain;
	width: 200px;
}

.footer-branding-content a {
	color: #cccccc;
	font-weight: bold;
}

.footer-branding-content a:hover {
	color: #e47be1;
}

.wecreate-social-gplus {
	background-color: #7633aa;
}

.wecreate-social-gplus a.icon:before {
	content: "\e09a";
}

.wecreate-social-icon.wecreate-social-gplus:hover a.icon {
	color: #7633aa;
}

.wecreate-social-linkedin {
	background-color: #f7e600;
}

.wecreate-social-linkedin a.icon:before {
	content: "\f2ac";
	font-family: "Font Awesome 5 Brands" !important;
}

.wecreate-social-icon.wecreate-social-linkedin:hover a.icon {
	color: #f7e600;
}

/************************************************************************************
 *
 *			Media Queries
 *
 ***********************************************************************************/

@media screen and (min-width: 450px) {
	
	/* ------------------------------ Button Styles ------------------------------ */
	.dark-btn, .light-btn, input[type="submit"], input.button,
	.gform_wrapper .gform_footer input.gform_button,
	a.more-link, .pagination a, .form-submit .et_pb_button {
		display: inline-block;
	}
	
	.left-btn {
		margin: 0 10px 0 0;
	}
	
}

@media screen and (min-width: 641px) {
	
	body.layouts-active .gform_wrapper .top_label li.gfield.gf_left_half .ginput_container:not(.gfield_time_hour):not(.gfield_time_minute):not(.gfield_time_ampm):not(.ginput_container_date):not(.ginput_quantity):not(.datepicker), 
	body.layouts-active .gform_wrapper .top_label li.gfield.gf_right_half .ginput_container:not(.gfield_time_hour):not(.gfield_time_minute):not(.gfield_time_ampm):not(.ginput_container_date):not(.ginput_quantity):not(.datepicker) {
		margin: 0; 
	}
	
	#gallery-wrapper .et_pb_code_inner > div {
		width: 50%;
	}
	
	#gallery-wrapper .et_pb_code_inner > div:nth-of-type(3) {
		order: 4;
	}
	
}

@media screen and (min-width: 768px) {
	
	#homepage-header img {
		width: 75%;
	}
	
	#page-header, #call-to-action {
		padding: 75px 85px;
	}
	
}

@media screen and (min-width: 981px) {
	
	/* ----------------------------- General ------------------------------ */
	.mobile-centered {
		text-align: left;
	}
	
	.mobile-centered.right-aligned {
		text-align: right;
	}
	
	.equal-hgt-col {
		display: flex;
		overflow: hidden;
	}
	
	.vert-center {
		display: flex;
		flex-direction: column;
		height: 100%;
		justify-content: center;
	}
	
	/* ----------------------- Navigation ----------------------- */
	
	header#main-header {
		background-color: transparent;
	}
	
	#main-header > div.container {
		position: relative;
	}

	#main-header .row {
		display: flex;
		padding: 0 15px;
	}

	#main-header .row > div {
		padding: 0;
		position: relative;
	}

	#main-header .col-sm-2 {
		width: 15%;
	}
	
	#mobile-nav-btn {
		display: none;
	}
	
	#navigation {
		background-color: transparent;
		border-left: 0;
		display: flex;
		justify-content: space-between;
		padding: 40px 0;
		position: relative;
		transform: none;
		width: auto;
	}
	
	#main-header.et-fixed-header #navigation {
		padding: 25px 0;
	}
	
	#navigation > div {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}
	
	#navigation div#mobile-nav-close {
		display: none;
	}
	
	#navigation .widget_nav_menu {
		margin-bottom: 0;
		width: 40%;
	}
	
	#navigation .widget_nav_menu ul li a {
		border-bottom: 0;
		display: inline;
		font-size: 1.125em;
		padding: 0;
	}
	
	#navigation #menu-primary-menu {
		display: flex;
		justify-content: space-between;
	}
	
	/* ----------------------- Homepage ----------------------- */
	
	#homepage-header img {
		width: 500px;
	}
	
	#gallery-wrapper .et_pb_code_inner > div {
		width: 25%;
	}
	
	#gallery-wrapper .et_pb_code_inner > div:nth-of-type(3) {
		order: 0;
	}
	
	/* ----------------------- Internal Pages ----------------------- */
	
	#page-header, #call-to-action {
		padding: 75px 110px;
	}
	
	#page-header {
		text-align: left;
	}
	
	#error-404 {
		padding: 75px 0;
	}
	
	/* --------------------------- Forms ---------------------------- */
	
	.form-group.field-pair {
		display: flex;
		justify-content: space-between;
	}

	.form-group.field-pair .js-wpt-field-items {
		width: 49.3%;
	}
	
	.form-group.field-pair > div:first-of-type {
		margin-bottom: 0;
	}
	
	/* --------------------------- Footer Area ---------------------------- */
	
	#main-footer .container {
		max-width: none;
		width: 89%;
	}
	
	.footer-branding {
		display: flex;
		text-align: left;
	}
	
}